Radicore Forum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » RADICORE development » Bug Reports » Problem with "import column" pgsql
Problem with "import column" pgsql [message #440] Wed, 06 December 2006 12:44 Go to next message
ldelannoy is currently offline  ldelannoy
Messages: 5
Registered: November 2006
Junior Member
I try to "Import Column", but the system show the next message:

------------------------
2006-12-06 13:12:02
Fatal Error: pg_query() [function.pg-query]: Query failed: ERROR: SELECT FOR UPDATE no puede ser aplicado al lado nulable de un outer join (# 256).

SQL query: SELECT dict_table_key.*, dict_table.table_desc FROM dict_table_key LEFT JOIN dict_table ON (dict_table.database_id=dict_table_key.database_id AND dict_table.table_id=dict_table_key.table_id) WHERE dict_table_key.database_id='test' AND dict_table_key.table_id='test_autoincrement' ORDER BY key_name, seq_in_index asc FOR UPDATE

Error in line 410 of file '/var/www/html/luis/radicore/includes/dml.pgsql.class.inc'.

Script: /luis/radicore/dict/column_import.php

User Id: MGR

Remote Address: 172.17.166.55

Request URI: /luis/radicore/dict/column_import.php?session_name=menu1
----------------------------------------------

I search in google, and found this link:
http://archives.postgresql.org/pgsql-sql/2006-10/msg00080.ph p


Atte,
Luis Delannoy.
Re: Problem with "import column" pgsql [message #441 is a reply to message #440] Wed, 06 December 2006 17:41 Go to previous messageGo to next message
AJM is currently offline  AJM
Messages: 2312
Registered: April 2006
Location: Surrey, UK
Senior Member
What version of Radicore are you using? What version of postgeSQL?

I have just tried it with Radicore 1.19.0 and PostgreSQL 8.1.5 and it works without failing. This is because I have modified that SELECT statement to have "FOR UPDATE OF dict_table_key" instead of "FOR UPDATE".

Download and install the latest version and it should fix this problem.


Re: Problem with "import column" pgsql [message #442 is a reply to message #441] Thu, 07 December 2006 08:09 Go to previous messageGo to next message
ldelannoy is currently offline  ldelannoy
Messages: 5
Registered: November 2006
Junior Member
I try radicore version 1.18. I upgrade to 1.19 and the problem is OK.

But, when I try import table:
x_person
..
..
value2 numeric(10,2)
..
..

The system show the next message:
..
..
Seq: 11, col_minvalue: Value is not a number
Seq: 11, col_maxvalue: Value is not a number
Seq: 11, user_maxvalue: Value is not a number
..
..

I revised the xample aplication, and the column is defined : DECIMAL, but in the xample-schema.sql, say numeric(10,2).

PD: Thanks for all
Re: Problem with "import column" pgsql [message #443 is a reply to message #442] Thu, 07 December 2006 10:35 Go to previous messageGo to next message
AJM is currently offline  AJM
Messages: 2312
Registered: April 2006
Location: Surrey, UK
Senior Member
I am having difficulty in reproducing this problem. I am using Data Dictionary version 1.19.0 (as shown at the bottom of each dictionary screen) and PostgreSQL v8.2. I have tried erasing the 'xample' database from the dictionary, then re-importing the tables one by one, and I do not get any errors whatsoever.

The column 'value2' is shown in radicore\xample\sql\postgresql\xample-schema.sql as 'value2 numeric(10,2)' and in the Enquire Column screen the column type is shown as 'NUMERIC' with column_size=12, precision=10, scale=2.


Re: Problem with "import column" pgsql [message #444 is a reply to message #443] Thu, 07 December 2006 18:53 Go to previous messageGo to next message
AJM is currently offline  AJM
Messages: 2312
Registered: April 2006
Location: Surrey, UK
Senior Member
If you are using a version of PostgreSQL which is prior to 8.2 you will need to update the 'columns' view in the information schema as it contains a bug. Use the script located at radicore\dict\sql\postgresql\information_schema.sql

Re: Problem with "import column" pgsql [message #453 is a reply to message #444] Mon, 11 December 2006 10:31 Go to previous message
ldelannoy is currently offline  ldelannoy
Messages: 5
Registered: November 2006
Junior Member
Tony,
I have PostgreSQL version 8.0.3, I try the scripts but show me the same error.
When datatype is int8 and numeric.
I try upgrade my postgresql.

Thanks for all.

PD: I am instaled de radicore 1.19.
Previous Topic: Problem with pgsql database
Next Topic: BUG+FIX: Problems with backslashes before qoutes in getdata($where)
Goto Forum:
  


Current Time: Sun Jan 29 07:48:27 EST 2023

Total time taken to generate the page: 0.03199 seconds